gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Interfaces.DesktopAppInfoLookup

Contents

- Exported types
- Methods
  - getDefaultForUriScheme

Description

`DesktopAppInfoLookup` is an opaque data structure and can only be accessed using the following functions.

Synopsis

- newtype DesktopAppInfoLookup = DesktopAppInfoLookup (ManagedPtr DesktopAppInfoLookup)
- noDesktopAppInfoLookup :: Maybe DesktopAppInfoLookup
- class GObject o => IsDesktopAppInfoLookup o
- toDesktopAppInfoLookup :: (MonadIO m, IsDesktopAppInfoLookup o) => o -> m DesktopAppInfoLookup
- desktopAppInfoLookupGetDefaultForUriScheme :: (HasCallStack, MonadIO m, IsDesktopAppInfoLookup a) => a -> Text -> m AppInfo

# Exported types

newtype DesktopAppInfoLookup Source #

Memory-managed wrapper type.

Constructors

DesktopAppInfoLookup (ManagedPtr DesktopAppInfoLookup) |

Instances

GObject DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup Methods gobjectType :: DesktopAppInfoLookup -> IO GType Source #
IsObject DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup
IsDesktopAppInfoLookup DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup

noDesktopAppInfoLookup :: Maybe DesktopAppInfoLookup Source #

A convenience alias for `Nothing` :: `Maybe` `DesktopAppInfoLookup`.

class GObject o => IsDesktopAppInfoLookup o Source #

Type class for types which can be safely cast to `DesktopAppInfoLookup`, for instance with `toDesktopAppInfoLookup`.

Instances

(GObject a, (UnknownAncestorError DesktopAppInfoLookup a :: Constraint)) => IsDesktopAppInfoLookup a Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup
IsDesktopAppInfoLookup DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup

toDesktopAppInfoLookup :: (MonadIO m, IsDesktopAppInfoLookup o) => o -> m DesktopAppInfoLookup Source #

Cast to `DesktopAppInfoLookup`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## getDefaultForUriScheme

desktopAppInfoLookupGetDefaultForUriScheme Source #

Arguments

:: (HasCallStack, MonadIO m, IsDesktopAppInfoLookup a) |
=> a | `lookup`: a `DesktopAppInfoLookup`
-> Text | `uriScheme`: a string containing a URI scheme.
-> m AppInfo | Returns: `AppInfo` for given `uriScheme` or `Nothing` on error.

Deprecated: The `DesktopAppInfoLookup` interface is deprecated and unused by gio.

Gets the default application for launching applications using this URI scheme for a particular GDesktopAppInfoLookup implementation.

The GDesktopAppInfoLookup interface and this function is used to implement `appInfoGetDefaultForUriScheme` backends in a GIO module. There is no reason for applications to use it directly. Applications should use `appInfoGetDefaultForUriScheme`.